com.sap.conn.jco

## Interface JCoCustomDestination.UserData

- Enclosing interface:
    JCoCustomDestination

      public static interface JCoCustomDestination.UserData

  UserData allows to change the user logon data for a JCoCustomDestination.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestSSOTicket(boolean request)` Sets the logon parameter flag for requesting an SAP SSO ticket.
    `void` | `setAliasUser(String aliasUser)` Sets the SAP user alias name logon parameter.
    `void` | `setClient(String client)` Sets the SAP client logon parameter.
    `void` | `setExternalIDData(String extIDData)` Sets the external identification user logon data.
    `void` | `setExternalIDType(String extIDType)` Sets the type of the external identification user logon data.
    `void` | `setLanguage(String lang)` Sets the language logon parameter.
    `void` | `setLogonCheck(int lcheck)` Sets the logon check parameter.
    `void` | `setPassword(String passwd)` Sets the password logon parameter.
    `void` | `setSSOTicket(String base64CodedSSOTicket)` Sets SAP SSO logon ticket parameter.
    `void` | `setUser(String user)` Sets the SAP user name logon parameter.
    `void` | `setX509Certificate(String base64CodedCertificate)` Sets the X.509 certificate logon parameter.

- - ### Method Detail

    - #### setClient

          void setClient(String client)

      Sets the SAP client logon parameter.
      Parameters:
        `client` - SAP client number

    - #### setUser

          void setUser(String user)

      Sets the SAP user name logon parameter.
      Parameters:
        `user` - user ID

    - #### setAliasUser

          void setAliasUser(String aliasUser)

      Sets the SAP user alias name logon parameter. A user alias name can be used as an alternative to the SAP user name.
      Parameters:
        `aliasUser` - alias user name

    - #### setPassword

          void setPassword(String passwd)

      Sets the password logon parameter.
      Parameters:
        `passwd` - password as plain text string

    - #### setLanguage

          void setLanguage(String lang)

      Sets the language logon parameter. The logon language is typically specified as a 2-letter SAP ISO code (recommended), but can also be specified as a 1-character SAP language code.
      Parameters:
        `lang` - language code typically specified as a 2-letter SAP ISO code

    - #### setLogonCheck

          void setLogonCheck(int lcheck)

      Sets the logon check parameter. With specifying the value `0`, the logon authentication will be postponed until the first remote function call is done which requires an authentication. The default value is `1` and therefore a logon check will be done as soon as possible.

      Note: It is not recommended to postpone the logon authentication unless this is really needed. This is only required for rare use cases.

      Parameters:
        `lcheck` - `0` if the logon authentication shall be postponed; value `1` (default) if the logon authentication shall be done as soon as possible

    - #### setX509Certificate

          void setX509Certificate(String base64CodedCertificate)

      Sets the X.509 certificate logon parameter.
      Parameters:
        `base64CodedCertificate` - X.509 certificate as encoded Base64 string

    - #### setSSOTicket

          void setSSOTicket(String base64CodedSSOTicket)

      Sets SAP SSO logon ticket parameter.
      Parameters:
        `base64CodedSSOTicket` - SAP SSO logon ticket as encoded Base64 string

    - #### requestSSOTicket

          void requestSSOTicket(boolean request)

      Sets the logon parameter flag for requesting an SAP SSO ticket. If an SSO ticket is requested and the ABAP back-end system is configured appropriately, then the ABAP system will issue a new SSO ticket after a successful logon and return it as an optional RFC attribute which can then be obtained from the `JCoAttributes` object of this destination.
      Parameters:
        `request` - `true` for requesting a new SSO ticket to be issued and returned from the ABAP back-end system; `false` otherwise
      See Also:
        `JCoDestination.getAttributes()`, `JCoAttributes.getSSOTicket()`

    - #### setExternalIDData

          void setExternalIDData(String extIDData)

      Sets the external identification user logon data. Its format depends on the external ID type. The mapping to the actual logon user has to be defined in the ABAP system table `VUSREXTID`.

      Note: This is an old logon mechanism and should not be used anymore.

      Parameters:
        `extIDData` - external ID data
      Since:
        JCo 3.0.9

    - #### setExternalIDType

          void setExternalIDType(String extIDType)

      Sets the type of the external identification user logon data. Possible values are for example "NT" for an NT Domain User (NTLM), "MP" for a Microsoft .NET Passport UID (PUID), "ID" for ID data from a trusted RFC system, or "DN" for a Distinguished Name (DN) of a Certificate (X.500).

      Note: This is an old logon mechanism and should not be used anymore.

      Parameters:
        `extIDType` - external ID type
      Since:
        JCo 3.0.9

Copyright © 2020 SAP. All Rights Reserved.